### Class

# Panel LayeredSettings

since: 1

#### Description

    final class Panel.LayeredSettings : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1

#### Ancestors

- GObject

#### Constructors

###### panel_layered_settings_new

No description available.

since: 1

#### Instance methods

###### panel_layered_settings_append

No description available.

since: 1

###### panel_layered_settings_bind

No description available.

since: 1

###### panel_layered_settings_bind_with_mapping

Creates a new binding similar to `g_settings_bind_with_mapping()` but applying from the resolved value via the layered settings.

since: 1

###### panel_layered_settings_get_boolean

No description available.

since: 1

###### panel_layered_settings_get_default_value

No description available.

since: 1

###### panel_layered_settings_get_double

No description available.

since: 1

###### panel_layered_settings_get_int

No description available.

since: 1

###### panel_layered_settings_get_key

Gets the `GSettingsSchemaKey` denoted by `key`.

since: 1

###### panel_layered_settings_get_string

No description available.

since: 1

###### panel_layered_settings_get_uint

No description available.

since: 1

###### panel_layered_settings_get_user_value

No description available.

since: 1

###### panel_layered_settings_get_value

Gets the value of `key` from the first layer that is modified.

since: 1

###### panel_layered_settings_list_keys

Lists the available keys.

since: 1

###### panel_layered_settings_set_boolean

No description available.

since: 1

###### panel_layered_settings_set_double

No description available.

since: 1

###### panel_layered_settings_set_int

No description available.

since: 1

###### panel_layered_settings_set_string

No description available.

since: 1

###### panel_layered_settings_set_uint

No description available.

since: 1

###### panel_layered_settings_set_value

No description available.

since: 1

###### panel_layered_settings_unbind

No description available.

since: 1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Panel.LayeredSettings:path

No description available.

since: 1

###### Panel.LayeredSettings:schema-id

No description available.

since: 1

#### Signals

###### Panel.LayeredSettings::changed

No description available.

since: 1

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PanelLayeredSettingsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.